All pages
Powered by GitBook
1 of 11

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Loading...

Set task status to completed

List tasks

Get task

Set task status to processing

Task

A task represents the state of an asynchronous, usually long-running operation. Examples include, bulk migrations, transferring buyers, and more.

This object contains the following attributes:

Field
Type
Description

id

string, core

(Read-only) Represents the task ID. The task identifier includes the identifier of the service that owns it. The format is TSK-XXXX-YYYY-YYYY-YYYY, where XXXX corresponds to part of the Service identifier SVC-XXXX.

status

enum, core

Represents the status of the task. A new task is created in either the queued (default) or blocked status.

code

string, core

Represents a task code. Different task codes are responsible for different workflows, and are prefixed with the respective service namespace.

name

string, core

The name of the specific operation.

Example: Moving the buyer to a different account

queue

string

The queue name for the task execution, sourced by the task service, is prefixed with the controlling service namespace. Queues are independent in scope of execution; tasks in the queue are executed in First In, First Out order if queued.

object

object

A reference to the business object related to the task.

Example:

description

string

A description of the task.

parent

task

(Optional) Represents the parent task, if applicable.

Example:

progress

float

(Optional) The progress in percentage, ranging from 0 to 100. Applies only to tasks that have started.

eta

string

The estimated completion time for the task, if applicable, in the ISO 8601 datetime format.

audit

object

Represents the audit object.

parameters

object

(Optional) Parameters that can be used to store task-specific metadata.

Example:

result

string

(Optional) The URI, which reflects the results of the task execution. It could be either:

  • A task-specific result object.

  • A relative URI to the resource, for example, a standard platform object or file.

owner

service

The service that owns the task.

Example:

access

object

A list of account with access to the task and its result.

Examples

THE TASK OBJECT
{
    "id": "TSK-0001-2474-4798-1266",
    "name": "Transferring the buyer to a different account",
    "revision": 1,
    "status": "Completed",
    "code": "accounts.buyers.transfer",
    "queue": "marketplace/platform/internal/buyers/commands",
    "object": {
        "id": "BUY-1190-0394"
    },
    "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
    "progress": 100,
    "parameters": {
        "BuyerId": "BUY-1190-0394",
        "TargetAccountId": "ACC-5563-4382"
    },
    "result": "/public/v1/accounts/buyers/BUY-1190-0394",
    "owner": {
        "id": "SVC-0001",
        "name": "platform",
        "revision": 1
    }
}
{
  "id": "ORD-1234-1245-1234"
}
{
   "id": "TSK-1234-1234-1234-1234",
   "name": "Parent task name"
}
{
  "param1": {...},
  "param2": {...}
}
{
   "id": "SVC-1234",
   "name": "Service A"
}
TASK OBJECT
{
    "id": "TSK-0001-2474-4798-1266",
    "name": "Transferring the buyer to a different account",
    "revision": 1,
    "status": "Completed",
    "code": "accounts.buyers.transfer",
    "queue": "marketplace/platform/internal/buyers/commands",
    "object": {
        "id": "BUY-1190-0394"
    },
    "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
    "progress": 100,
    "parameters": {
        "BuyerId": "BUY-1190-0394",
        "TargetAccountId": "ACC-5563-4382"
    },
    "result": "/public/v1/accounts/buyers/BUY-1190-0394",
    "owner": {
        "id": "SVC-0001",
        "name": "platform",
        "revision": 1
    },
    "access": [
        {
            "id": "ACC-0000-0001",
            "name": "SoftwareONE (Backoffice)",
            "revision": 1,
            "type": "Operations",
            "status": "Active"
        }
    ],
    "audit": {
        "started": {
            "at": "2025-09-04T09:03:09.702Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        },
        "completed": {
            "at": "2025-09-04T09:03:20.668Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        },
        "created": {
            "at": "2025-09-04T09:03:08.790Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        },
        "updated": {
            "at": "2025-09-04T09:03:20.669Z",
            "by": {
                "id": "SVC-0001",
                "name": "platform",
                "revision": 1
            }
        }
    }
}

Set task status to queued

Create task

Set task status to failed

Update task

Get task result

Set task status to rescheduled

Get a list of tasks

get

Get a list of tasks. Supports filtering, sorting, and pagination via query string parameters. Access: Operations, Vendor, Client, Service.

Responses
200

OK

application/json
offsetinteger · int32Optional
limitinteger · int32Optional
totalinteger · int32 · nullableOptional
omittedstring[]Optional
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
get/public/v1/system/tasks
GET /public/v1/system/tasks HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "$meta": {
    "pagination": {
      "offset": 0,
      "limit": 2,
      "total": 115
    },
    "omitted": [
      "audit",
      "access"
    ]
  },
  "data": [
    {
      "id": "TSK-5498-1544-6054-5440",
      "name": "Transferring the buyer to a different account",
      "revision": 1,
      "status": "Completed",
      "code": "accounts.buyers.transfer",
      "queue": "marketplace/platform/internal/buyers/commands",
      "object": {
        "id": "BUY-4230-6788"
      },
      "description": "Transferring buyer 'BUY-4230-6788' to account 'ACC-4952-6625'",
      "progress": 100,
      "owner": {
        "id": "SVC-0001",
        "name": "platform"
      },
      "result": "/public/v1/accounts/buyers/BUY-4230-6788"
    }
  ]
}

Retrieve a task by ID

get

Retrieve a task by ID. Use the select query parameter to specify which fields to include. Access: OPS, SVC, VENDOR, CLIENT.

Path parameters
idstringRequired

The task ID.

Query parameters
selectstringOptional

Optional select statement to filter fields.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/system/tasks/{id}
GET /public/v1/system/tasks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "TSK-0001-2474-4798-1266",
  "name": "Transferring the buyer to a different account",
  "revision": 1,
  "status": "Completed",
  "code": "accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "progress": 100,
  "owner": {
    "id": "SVC-0001",
    "name": "platform"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ],
  "audit": {
    "created": {
      "at": "2026-02-02T12:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    },
    "updated": {
      "at": "2026-02-02T12:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    }
  }
}

Transition a task to Processing

post

Transition a task to Processing. Allowed only for the owner service or extension. Valid when status is Queued or Rescheduled.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
post/public/v1/system/tasks/{id}/execute
POST /public/v1/system/tasks/{id}/execute HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}

Transition a task to Queued

post

Transition a task to Queued. Allowed only for the owner service or extension. Valid when status is Processing or Rescheduled.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
post/public/v1/system/tasks/{id}/queue
POST /public/v1/system/tasks/{id}/queue HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}

Create a task

post

Create a task. Only services can create tasks. Extesnions service will create a task for the extensions.

Body

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
Responses
201

Created

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
400

Bad Request

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
post/public/v1/system/tasks
POST /public/v1/system/tasks HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 374

{
  "name": "Transferring the buyer to a different account",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "access": [
    {
      "id": "ACC-0000-0001"
    }
  ]
}
{
  "id": "TSK-0001-2474-4798-1266",
  "name": "Transferring the buyer to a different account",
  "revision": 1,
  "status": "Queued",
  "code": "accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ],
  "owner": {
    "id": "SVC-0001",
    "name": "platform"
  },
  "audit": {
    "created": {
      "at": "2026-02-02T12:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    },
    "updated": {
      "at": "2026-02-02T12:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    }
  }
}

Transition a task to Failed

post

Transition a task to Failed. Allowed only for the owner service or extension. Valid when status is Processing, Queued, or Rescheduled.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
post/public/v1/system/tasks/{id}/fail
POST /public/v1/system/tasks/{id}/fail HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}

Get a task result

get

Get a task result. Returns a JSON result or redirects to a resource if the result is a file. Access: OPS, SVC, VENDOR, CLIENT.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json
anyOptional
302

Found

No content

404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/system/tasks/{id}/result
GET /public/v1/system/tasks/{id}/result HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "BUY-1190-0394",
  "name": "AdAstralflex Argentina",
  "revision": 9,
  "status": "Active"
}

Transition a task to Rescheduled

post

Transition a task to Rescheduled. Allowed only for the owner service or extension. Valid when status is Processing.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
post/public/v1/system/tasks/{id}/reschedule
POST /public/v1/system/tasks/{id}/reschedule HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}
post

Transition a task to Completed. Allowed only for the owner service or extension. Valid when status is Processing.

Path parameters
idstringRequired

The task ID.

Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
post/public/v1/system/tasks/{id}/complete
POST /public/v1/system/tasks/{id}/complete HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
200

OK

{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "started": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "completed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "failed": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "rescheduled": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    },
    "queued": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {
        "id": "text",
        "name": "text",
        "icon": "text",
        "revision": 1
      }
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "icon": "text",
  "revision": 1,
  "status": "Queued",
  "code": "platform.accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "parent": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1,
    "status": "Queued",
    "code": "platform.accounts.buyers.transfer"
  },
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382"
  },
  "result": "/public/v1/accounts/buyers/BUY-1190-0394",
  "externalId": "3f7e7800-b929-4bf3-a969-a8ed5354ff27",
  "owner": {
    "id": "text",
    "name": "text",
    "icon": "text",
    "revision": 1
  },
  "access": [
    {
      "id": "ACC-0000-0001",
      "name": "SoftwareONE Operations"
    }
  ]
}
put

Update a task. Only the owner service or extension can update a task. Use this endpoint to update progress, ETA, and parameters.

Path parameters
idstringRequired

The task ID.

Body

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
Responses
200

OK

application/json

The Task represents the state of an asynchronous, usually long running operation.

idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
queuestringOptional

Queue name for task execution, prefixed with the controlling service namespace.

Example: marketplace/platform/internal/buyers/commands
idstringOptionalExample: BUY-1190-0394
namestring · nullableOptionalExample: Buyer Account
iconstring · nullableOptionalExample: /public/v1/accounts/buyers/BUY-1190-0394/icon
descriptionstringOptional

Parameterized task description.

Example: Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
statusstring · enumOptionalPossible values:
codestringOptional

Task code for the workflow, prefixed with the service namespace.

Example: platform.accounts.buyers.transfer
progressnumber · float · nullableOptional

Progress in percent. 0-100 or not defined for not yet started task.

Example: 45.5
etastring · date-time · nullableOptional

Estimated finish time, if any.

Example: 2026-02-02T14:30:00+00:00
parametersany · nullableOptional

Optional parameters to store task-specific metadata.

Example: {"BuyerId":"BUY-1190-0394","TargetAccountId":"ACC-5563-4382"}
resultstring · nullableOptional

Result URI or reference to the result resource.

Example: /public/v1/accounts/buyers/BUY-1190-0394
externalIdstring · nullableOptional

External identifier for task correlation.

Example: 3f7e7800-b929-4bf3-a969-a8ed5354ff27
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
typestring · enumOptionalPossible values:
statusstring · enumOptionalPossible values:
put/public/v1/system/tasks/{id}
PUT /public/v1/system/tasks/{id} HTTP/1.1
Host: api.platform.softwareone.com
Content-Type: application/json
Accept: */*
Content-Length: 84

{
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "Step": "transfer"
  }
}
200

OK

{
  "id": "TSK-0001-2474-4798-1266",
  "name": "Transferring the buyer to a different account",
  "revision": 5,
  "status": "Processing",
  "code": "accounts.buyers.transfer",
  "queue": "marketplace/platform/internal/buyers/commands",
  "object": {
    "id": "BUY-1190-0394"
  },
  "description": "Transferring buyer 'BUY-1190-0394' to account 'ACC-5563-4382'",
  "progress": 45.5,
  "eta": "2026-02-02T14:30:00+00:00",
  "parameters": {
    "BuyerId": "BUY-1190-0394",
    "TargetAccountId": "ACC-5563-4382",
    "Step": "transfer"
  },
  "owner": {
    "id": "SVC-0001",
    "name": "platform"
  },
  "audit": {
    "created": {
      "at": "2026-02-02T12:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    },
    "updated": {
      "at": "2026-02-02T13:00:00+00:00",
      "by": {
        "id": "SVC-0001",
        "name": "Platform"
      }
    }
  }
}

Transition a task to Completed

Update a task